using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：应急装备需求调查表文件
    /// </summary>
    [Description("导航属性：应急装备需求调查表文件")]
    public class T_CM_EQUIPMENT_DEMAND_SURVEY_FILE : MesEntityBase
    {

        /// <summary>
        /// 应急装备需求评估表ID
        /// </summary>
        [Description("应急装备需求评估表")]
        [DataFieldForeignKey("Nav_EQDSurvey", "Nav_Files")]
        public Guid DEMAND_SURVEY_ID { get; set; }

        /// <summary>
        /// 导航属性：应急装备需求评估表
        /// </summary>
        [Description("导航属性：应急装备需求评估表")]
        public virtual T_CM_EQUIPMENT_DEMAND_SURVEY Nav_EQDSurvey { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
